UserTransactionServerImp_Stub (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.icatch.jta

## Class UserTransactionServerImp_Stub

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteStub
    - - com.atomikos.icatch.jta.UserTransactionServerImp_Stub

- All Implemented Interfaces:
    UserTransactionServer, java.io.Serializable, java.rmi.Remote

      public final class UserTransactionServerImp_Stub
      extends java.rmi.server.RemoteStub
      implements UserTransactionServer

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.server.RemoteObject

      `ref`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTransactionServerImp_Stub()`
    `UserTransactionServerImp_Stub(java.rmi.server.RemoteRef ref)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `begin(int $param_int_1)` Create a new transaction.
    `void` | `commit(java.lang.String $param_String_1)` Commit the transaction.
    `int` | `getStatus(java.lang.String $param_String_1)` Get the status of the transaction.
    `void` | `rollback(java.lang.String $param_String_1)` Rollback the transaction.
    `void` | `setRollbackOnly(java.lang.String $param_String_1)` Mark the transaction for rollback only.

    - ### Methods inherited from class java.rmi.server.RemoteStub

      `setRef`

    - ### Methods inherited from class java.rmi.server.RemoteObject

      `equals, getRef, hashCode, toString, toStub`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTransactionServerImp_Stub

          public UserTransactionServerImp_Stub()

    - #### UserTransactionServerImp_Stub

          public UserTransactionServerImp_Stub(java.rmi.server.RemoteRef ref)

  - ### Method Detail

    - #### begin

          public java.lang.String begin(int $param_int_1)
                                 throws java.rmi.RemoteException,
                                        javax.transaction.NotSupportedException,
                                        javax.transaction.SystemException

      Description copied from interface: `UserTransactionServer`
      Create a new transaction.
      Specified by:
        `begin` in interface `UserTransactionServer`
      Parameters:
        `$param_int_1` - The timeout setting of the client UserTx.
      Returns:
        String The tid of the transaction.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.NotSupportedException`
        `javax.transaction.SystemException`

    - #### commit

          public void commit(java.lang.String $param_String_1)
                      throws java.lang.IllegalStateException,
                             java.lang.SecurityException,
                             java.rmi.RemoteException,
                             javax.transaction.HeuristicMixedException,
                             javax.transaction.HeuristicRollbackException,
                             javax.transaction.RollbackException,
                             javax.transaction.SystemException

      Description copied from interface: `UserTransactionServer`
      Commit the transaction.
      Specified by:
        `commit` in interface `UserTransactionServer`
      Parameters:
        `$param_String_1` - The tid of the tx to commit.
      Throws:
        `java.lang.IllegalStateException`
        `java.lang.SecurityException`
        `java.rmi.RemoteException`
        `javax.transaction.HeuristicMixedException`
        `javax.transaction.HeuristicRollbackException`
        `javax.transaction.RollbackException`
        `javax.transaction.SystemException`

    - #### getStatus

          public int getStatus(java.lang.String $param_String_1)
                        throws java.rmi.RemoteException,
                               javax.transaction.SystemException

      Description copied from interface: `UserTransactionServer`
      Get the status of the transaction.
      Specified by:
        `getStatus` in interface `UserTransactionServer`
      Parameters:
        `$param_String_1` - The tid.
      Returns:
        int The status, as defined in JTA.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.SystemException`

    - #### rollback

          public void rollback(java.lang.String $param_String_1)
                        throws java.lang.IllegalStateException,
                               java.lang.SecurityException,
                               java.rmi.RemoteException,
                               javax.transaction.SystemException

      Description copied from interface: `UserTransactionServer`
      Rollback the transaction.
      Specified by:
        `rollback` in interface `UserTransactionServer`
      Parameters:
        `$param_String_1` - The tid of the transaction to rollback.
      Throws:
        `java.lang.IllegalStateException`
        `java.lang.SecurityException`
        `java.rmi.RemoteException`
        `javax.transaction.SystemException`

    - #### setRollbackOnly

          public void setRollbackOnly(java.lang.String $param_String_1)
                               throws java.lang.IllegalStateException,
                                      java.rmi.RemoteException,
                                      javax.transaction.SystemException

      Description copied from interface: `UserTransactionServer`
      Mark the transaction for rollback only.
      Specified by:
        `setRollbackOnly` in interface `UserTransactionServer`
      Parameters:
        `$param_String_1` - The tid of the transaction to mark.
      Throws:
        `java.lang.IllegalStateException`
        `java.rmi.RemoteException`
        `javax.transaction.SystemException`

Copyright © 2018. All Rights Reserved.